#ifndef  __UI_BUTTON
#define __UI_BUTTON
#include "vec.h"

typedef struct _ui_button {
    vec3 relative; // Position relative to screen size
    vec3 absolute; // position in pixels(added to relative)
    vec3 size; // size in pixels - if screen is too small i am not sure if it is a smart idea to make everything smaller
    void (*onClick); // instead of passing stuff in, im just gonna put every state variable in global scope to ensure everything lives...
} ui_button;

#endif